Loading...
Searching...
No Matches
generics.h File Reference

Go to the source code of this file.

## Functions

BOOLEAN | gInitChar (coeffs r, void *p)

## Variables

EXTERN_VAR coeffs | coeffs1
EXTERN_VAR coeffs | coeffs2

## Function Documentation

## gInitChar()

BOOLEAN gInitChar | ( | coeffs | r,
|  | void * | p )

Definition at line 468 of file generics.cc.

{
coeffs1=nInitChar(n_Z_1,(void*)1);
coeffs2=nInitChar(n_Z_2,(void*)1);
r->is_field=FALSE;
r->is_domain=TRUE;
r->rep=n_rep_unknown;
r->ch = 0;
r->cfKillChar=gKillChar;
//r->nCoeffIsEqual=gCoeffsEqual;
r->cfCoeffName=gCoeffName;
r->cfCoeffWrite=gCoeffWrite;
r->cfMult = gMult;
r->cfSub = gSub;
r->cfAdd = gAdd;
r->cfDiv = gDiv;
r->cfInit = gInit;
r->cfSize = gSize;
r->cfInt = gInt;
r->cfDivComp = gDivComp;
r->cfIsUnit = gIsUnit;
r->cfGetUnit = gGetUnit;
r->cfExtGcd = gExtGcd;
r->cfDivBy = gDivBy;
r->cfInpNeg = gInpNeg;
r->cfInvers= gInvers;
r->cfCopy = gCopy;
r->cfRePart = gCopy;
//r->cfImPart = ndReturn0;
r->cfWriteLong = gWriteLong;
r->cfWriteShort = gWriteShort;
r->cfRead = gRead;
r->cfNormalize=gNormalize;
r->cfGreater = gGreater;
r->cfEqual = gEqual;
r->cfIsZero = gIsZero;
r->cfIsOne = gIsOne;
r->cfIsMOne = gIsMOne;
r->cfGreaterZero = gGreaterZero;
r->cfPower = gPower;
r->cfGetDenom = gGetDenom;
r->cfGetNumerator = gGetNumerator;
r->cfGcd = gGcd;
r->cfLcm = gGcd;
r->cfDelete= gDelete;
r->cfSetMap = gSetMap;
//r->cfInpMult=ndInpMult;
r->cfRandom=gRandom;
r->cfWriteFd=gWriteFd;
r->cfReadFd=gReadFd;
r->type=n_Z;
#ifdef LDEBUG
r->cfDBTest=gDBTest;
#endif
return FALSE;
}
TRUE
#define TRUE
Definition auxiliary.h:101
FALSE
#define FALSE
Definition auxiliary.h:97
n_Z
@ n_Z
only used if HAVE_RINGS is defined
Definition coeffs.h:43
nInitChar
coeffs nInitChar(n_coeffType t, void *parameter)
one-time initialisations for new coeffs in case of an error return NULL
Definition numbers.cc:412
n_rep_unknown
@ n_rep_unknown
Definition coeffs.h:116
gDivComp
static int gDivComp(number a, number b, const coeffs r)
Definition generics.cc:450
gWriteFd
static void gWriteFd(number a, FILE *f, const coeffs r)
Definition generics.cc:381
gCopy
static number gCopy(number a, const coeffs r)
Definition generics.cc:180
gGcd
static number gGcd(number a, number b, const coeffs)
Definition generics.cc:308
gMult
static number gMult(number a, number b, const coeffs cf)
Definition generics.cc:56
gIsMOne
static BOOLEAN gIsMOne(number a, const coeffs r)
Definition generics.cc:278
gWriteShort
static void gWriteShort(number a, const coeffs r)
Definition generics.cc:209
gDivBy
static BOOLEAN gDivBy(number a, number b, const coeffs)
Definition generics.cc:408
gNormalize
static void gNormalize(number &a, const coeffs r)
Definition generics.cc:225
gInt
static long gInt(number &a, const coeffs)
Definition generics.cc:143
gAdd
static number gAdd(number a, number b, const coeffs cf)
Definition generics.cc:76
gIsUnit
static BOOLEAN gIsUnit(number a, const coeffs)
Definition generics.cc:439
gPower
static void gPower(number a, int i, number *result, const coeffs r)
Definition generics.cc:300
gInpNeg
static number gInpNeg(number a, const coeffs r)
Definition generics.cc:165
coeffs1
VAR coeffs coeffs1
Definition generics.cc:33
gGreaterZero
static BOOLEAN gGreaterZero(number a, const coeffs r)
Definition generics.cc:289
gKillChar
static void gKillChar(coeffs r)
Definition generics.cc:45
gGetUnit
static number gGetUnit(number n, const coeffs r)
Definition generics.cc:431
gInit
static number gInit(long i, const coeffs cf)
Definition generics.cc:116
gCoeffWrite
static void gCoeffWrite(const coeffs r, BOOLEAN b)
Definition generics.cc:35
gGetDenom
static number gGetDenom(number &a, const coeffs)
Definition generics.cc:326
gEqual
static BOOLEAN gEqual(number a, number b, const coeffs r)
Definition generics.cc:243
gGetNumerator
static number gGetNumerator(number &a, const coeffs)
Definition generics.cc:334
gRandom
static number gRandom(siRandProc p, number p1, number p2, const coeffs cf)
Definition generics.cc:403
gGreater
static BOOLEAN gGreater(number a, number b, const coeffs r)
Definition generics.cc:231
gExtGcd
static number gExtGcd(number a, number b, number *s, number *t, const coeffs)
Definition generics.cc:420
gWriteLong
static void gWriteLong(number a, const coeffs r)
Definition generics.cc:204
gDBTest
static BOOLEAN gDBTest(number a, const char *f, const int l, const coeffs r)
Definition generics.cc:462
coeffs2
VAR coeffs coeffs2
Definition generics.cc:33
gRead
static const char * gRead(const char *s, number *a, const coeffs r)
Definition generics.cc:214
gReadFd
static number gReadFd(s_buff f, const coeffs r)
Definition generics.cc:385
gSetMap
static nMapFunc gSetMap(const coeffs src, const coeffs dst)
Definition generics.cc:376
gIsZero
static BOOLEAN gIsZero(number a, const coeffs r)
Definition generics.cc:255
gCoeffName
static char * gCoeffName(const coeffs r)
Definition generics.cc:41
gInvers
static number gInvers(number a, const coeffs r)
Definition generics.cc:172
gDelete
static void gDelete(number *a, const coeffs r)
Definition generics.cc:365
gSize
static int gSize(number a, const coeffs)
Definition generics.cc:132
gSub
static number gSub(number a, number b, const coeffs cf)
Definition generics.cc:66
gDiv
static number gDiv(number a, number b, const coeffs cf)
Definition generics.cc:86
gIsOne
static BOOLEAN gIsOne(number a, const coeffs r)
Definition generics.cc:267

## Variable Documentation

## coeffs1

EXTERN_VAR coeffs coeffs1

Definition at line 1 of file generics.h.

## coeffs2

EXTERN_VAR coeffs coeffs2

Definition at line 1 of file generics.h.